module DeletedObjectsController
  extend ActiveSupport::Concern

  def deleted
    render json: deleted_resource.only_deleted
  end

  protected

  def deleted_resource
    raise NotImplementedError
  end

end
