module PackageService
  def self.link(objects)
    Link.new(objects).link
  end

  def self.file_root(filename = nil)
    Rails.root.join('public', dirname, filename.to_s)
  end

  def self.dirname
    'download'
  end

  def self.job_key(key)
    "job_#{key}"
  end

  def self.allowed_classes
    %w(Collection LearningObject)
  end
end
