class CreateCollectionItems < ActiveRecord::Migration[4.2]
  def change
    create_table :collection_items do |t|
      t.references :collectionable, polymorphic: true, index: {name: "index_citems_on_ctype_and_cid"}

      t.references :collection, index: true

      t.integer :order

      t.timestamps null: false
    end
    add_foreign_key :collection_items, :collections
  end
end
