class ThumbnailService

  def initialize(strategies = [])
    @strategies = strategies
  end

  def create_thumbnail(media)
    @strategies.each do |s|
      return s.generate(media) if s.can_generate? media
    end
    nil
  end

end
